Package org.codehaus.groovy.tools.groovydoc

# Class SimpleGroovyMethodDoc

java.lang.Object
org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyExecutableMemberDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyMethodDoc

All Implemented Interfaces:
  `Comparable<GroovyDoc>`, `GroovyDoc`, `GroovyExecutableMemberDoc`, `GroovyMemberDoc`, `GroovyMethodDoc`, `GroovyProgramElementDoc`

public class SimpleGroovyMethodDoc extends SimpleGroovyExecutableMemberDoc implements GroovyMethodDoc
Default `GroovyMethodDoc` implementation.

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc

  `belongsToClass`

  ### Fields inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, RECORD_DEF, TRAIT_DEF`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleGroovyMethodDoc(String name, GroovyClassDoc belongsToClass)`
  Creates a documented method owned by the supplied class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GroovyClassDoc`
  `overriddenClass()`
  Returns the class in which the overridden method is declared.
  `GroovyMethodDoc`
  `overriddenMethod()`
  Returns the method that this method overrides.
  `GroovyType`
  `overriddenType()`
  Returns the type that declares the method overridden by this method.
  `boolean`
  `overrides(GroovyMethodDoc arg0)`
  Indicates whether this method overrides the supplied method.
  `GroovyType`
  `returnType()`
  Returns the declared return type of this method.
  `void`
  `setReturnType(GroovyType returnType)`
  Updates the declared return type of this method.
  `void`
  `setTypeParameters(String typeParameters)`
  Stores the rendered type parameters for this method.
  `String`
  `typeParameters()`
  Returns the rendered type parameters for this method.

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyExecutableMemberDoc

  `add, flatSignature, isNative, isSynchronized, isVarArgs, parameters, signature, thrownExceptions, thrownExceptionTypes`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc

  `commentText, firstSentenceCommentText, isSynthetic`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc

  `isAbstract, setAbstract`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc

  `addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `calculateFirstSentence, compareTo, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isHidden, isIncluded, isInterface, isMarkdown, isMethod, isOrdinaryClass, isRecord, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setHidden, setMarkdown, setRawCommentText, setScript, setTokenType, tags, tokenType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

  `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, name, setRawCommentText`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyExecutableMemberDoc

  `flatSignature, isNative, isSynchronized, isVarArgs, parameters, signature, thrownExceptions, thrownExceptionTypes`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyMemberDoc

  `isSynthetic`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyMethodDoc

  `isAbstract`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

  `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

- ## Constructor Details

  - ### SimpleGroovyMethodDoc

    public SimpleGroovyMethodDoc(String name, GroovyClassDoc belongsToClass)
    Creates a documented method owned by the supplied class.
    Parameters:
      `name` - the method name
      `belongsToClass` - the declaring class

- ## Method Details

  - ### returnType

    public GroovyType returnType()
    Returns the declared return type of this method.
    Specified by:
      `returnType` in interface `GroovyMethodDoc`
    Returns:
      the return type

  - ### setReturnType

    public void setReturnType(GroovyType returnType)
    Updates the declared return type of this method.
    Specified by:
      `setReturnType` in interface `GroovyMethodDoc`
    Parameters:
      `returnType` - the return type to associate with this method

  - ### overriddenClass

    public GroovyClassDoc overriddenClass()
    Returns the class in which the overridden method is declared.
    Specified by:
      `overriddenClass` in interface `GroovyMethodDoc`
    Returns:
      the overridden method's declaring class, or `null` if none exists

  - ### overriddenMethod

    public GroovyMethodDoc overriddenMethod()
    Returns the method that this method overrides.
    Specified by:
      `overriddenMethod` in interface `GroovyMethodDoc`
    Returns:
      the overridden method, or `null` if none exists

  - ### overriddenType

    public GroovyType overriddenType()
    Returns the type that declares the method overridden by this method.
    Specified by:
      `overriddenType` in interface `GroovyMethodDoc`
    Returns:
      the overridden type, or `null` if none exists

  - ### overrides

    public boolean overrides(GroovyMethodDoc arg0)
    Indicates whether this method overrides the supplied method.
    Specified by:
      `overrides` in interface `GroovyMethodDoc`
    Parameters:
      `arg0` - the candidate method
    Returns:
      `true` if this method overrides `arg0`

  - ### typeParameters

    public String typeParameters()
    Returns the rendered type parameters for this method.
    Returns:
      the type parameter declaration text

  - ### setTypeParameters

    public void setTypeParameters(String typeParameters)
    Stores the rendered type parameters for this method.
    Parameters:
      `typeParameters` - the type parameter declaration text